[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItem.HandleNeeded

Ensures that a valid Handle exists for the menu item.

## Declaration

Source position: menus.pp line 284

`public procedure TMenuItem.HandleNeeded; virtual;`

## Description

Checks the value in Handle to ensure that a handle has been allocated for the menu item. Calls CreateHandle when Handle is set to 0 (unassigned).

## See also

TMenuItem.Handle |  | Handle for the menu item allocated in the widgetset class.
TMenuItem.HandleAllocated |  | Indicates whether a Handle has been allocated for the menu item.
TMenuItem.GetHandle |  | Gets the value for the Handle property.
TMenuItem.CreateHandle |  | Creates the Handle for the menu item.